#
# This catalog is for long descriptions for Events. Long descriptions are
# shown in the UI when the user asks to see more details about the event,
# and can contain causes and potential user actions for recovery.
#
# See vim/lib/vimLocale/en/eventaux.vmsg for examples.
#

#
signature="sIgNaTuRe"
#
# event long descriptions go here..

com.vmware.vc.ft.VmAffectedByDasDisabledEvent.longDescription = "\
   <EventLongDescription id="com.vmware.vc.ft.VmAffectedByDasDisabledEvent">\
      <description>\
         When vSphere HA is disabled in a cluster, you cannot restart a Primary VM or its Secondary VM \
         after a failure. This event is issued when HA is disabled and a Fault Tolerant virtual machine \
         is powered on. The event alerts you of the risk to the Fault Tolerant virtual machine that results \
	 from disabling HA. \
      </description>\
      <cause>\
           <description>HA was disabled when a Fault Tolerant virtual machine was powered on</description>\
           <action>Re-enable HA</action>\
      </cause>\
   </EventLongDescription>\
   "

com.vmware.vc.HA.DasHostCompleteDatastoreFailureEvent.longDescription = "\
   <EventLongDescription id="com.vmware.vc.HA.DasHostCompleteDatastoreFailureEvent">\
      <description>\
        A host in a Component Protection-enabled cluster has lost connectivity to \
        all shared datastores\
     </description>\
      <cause>\
           <description>Connectivity to all shared datastores has been lost</description>\
           <action>Reconnect at least one shared datastore</action>\
      </cause>\
   </EventLongDescription>\
   "

com.vmware.vc.HA.DasHostCompleteNetworkFailureEvent.longDescription = "\
   <EventLongDescription id="com.vmware.vc.HA.DasHostCompleteNetworkFailureEvent">\
      <description>\
        A host in a Component Protection enabled cluster has lost connectivity to \
        all virtual machine networks\
     </description>\
      <cause>\
           <description>Connectivity to all virtual machine networks has been lost</description>\
           <action>Reconnect at least one virtual machine network</action>\
      </cause>\
   </EventLongDescription>\
   "

vim.event.LicenseDowngradedEvent.longDescription = "\
    <EventLongDescription id="vim.event.LicenseDowngradedEvent">\
       <description>\
          The installed license reduces the set of available features.\
          Some of the features, previously available, will not be accessible with the new license.\
       </description>\
       <cause>\
            <description>The license has been replaced.</description>\
            <action>Revert to the license previously installed if it is not already expired.</action>\
            <action>Contact VMware in order to obtain new license with the required features.</action>\
        </cause>\
    </EventLongDescription>\
    "

ad.event.JoinDomainFailedEvent.longDescription = "\
   <EventLongDescription id="ad.event.JoinDomainFailedEvent">\
      <description>\
         Join domain failed\
      </description>\
   </EventLongDescription>\
   "

ad.event.JoinDomainEvent.longDescription = "\
   <EventLongDescription id="ad.event.JoinDomainEvent">\
      <description>\
         Join domain succeeded\
      </description>\
   </EventLongDescription>\
   "

ad.event.LeaveDomainFailedEvent.longDescription = "\
   <EventLongDescription id="ad.event.LeaveDomainFailedEvent">\
      <description>\
         Leave domain failed\
      </description>\
   </EventLongDescription>\
   "

ad.event.LeaveDomainEvent.longDescription = "\
   <EventLongDescription id="ad.event.LeaveDomainEvent">\
      <description>\
         Leave domain succeeded\
      </description>\
   </EventLongDescription>\
   "

ad.event.ImportCertFailedEvent.longDescription = "\
   <EventLongDescription id="ad.event.ImportCertFailedEvent">\
      <description>\
         Import certificate failed\
      </description>\
   </EventLongDescription>\
   "

ad.event.ImportCertEvent.longDescription = "\
   <EventLongDescription id="ad.event.ImportCertEvent">\
      <description>\
         Import certificate succeeded\
      </description>\
   </EventLongDescription>\
   "
